Subject: Re: BUG: unable to handle kernel paging request in slhc_free

From: syzbot <[email-masked]>
Date: Thu, 05 Dec 2019 12:26:00 -0800

syzbot suspects this bug was fixed by commit:

commit baf76f0c58aec435a3a864075b8f6d8ee5d1f17e
Author: Linus Torvalds <[email-masked]>
Date:   Thu Apr 25 23:13:58 2019 +0000

     slip: make slhc_free() silently accept an error pointer

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=114af97ee00000
start commit:   8fe28cb5 Linux 4.20
git tree:       upstream
kernel config:  https://syzkaller.appspot.com/x/.config?x=7d581260bae0899a
dashboard link: https://syzkaller.appspot.com/bug?extid=6c5d567447bfa30f78e2
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=136130fd400000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=1607c563400000

If the result looks correct, please mark the bug fixed by replying with:

#syz fix: slip: make slhc_free() silently accept an error pointer

For information about bisection process see: https://goo.gl/tpsmEJ#bisection